import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceCreateLegalGuildService = createAsyncThunk(
  "PROVINCE_CREATE_LEGAL_GUILD_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post("register_legal_guild/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return {
        error:
          e.response?.data?.result || e.response?.data || "خطا در ثبت اطلاعات",
      };
    }
  }
);
